import text from './text'

describe('text', () => {
  it('renders expected snapshots', () => {
    expect(text()).toMatchSnapshot()
    expect(text({
      type: 'h1'
    })).toMatchSnapshot()
    expect(text({
      type: 'meta'
    })).toMatchSnapshot()
    expect(text({
      type: 'h2',
      color: 'red',
      align: 'center'
    })).toMatchSnapshot()
    expect(text({
      type: 'h3',
      ellipsis: true
    })).toMatchSnapshot()
    expect(text({
      size: 64,
      margin: 8,
      lineHeight: 2,
      uppercase: true
    })).toMatchSnapshot()
  })
})
